# General Information
Used for getting starting items. You can use an external application to select the items with a GUI. 
</br></br>
Download the application from the link found below and simply select the items, they will be added to your inventory upon starting the run. If Windows Smart Screen is warning you, click "more" and "open anyway". You can check that the app is safe on the github.
</br></br>
To add an item, left click it. To remove an item, right click it. You can change how many items you get / remove by clicking on the <i>"x1"</i> button on the bottom. 
</br></br>
You can add unlimited profiles and change between them in the <i>"Profiles"</i> tab.
</br></br>
This mod works in multiplayer and with the DLC.

# <b>IMPORTANT!</b>
You need to get an application to select items. 
</br></br>
To download the app, navigate to the link below and click on <i>"Releases"</i> on the right of the page. Then, click on "<i>ExternalStartingItemsGUI.exe"</i>. It is located under <i>"Assets"</i> in whatever the latest release is.
</br></br>
https://github.com/IKEA0x90/ExternalStartingItemsGUI/tree/v2.0.0

# Using the modded items menu
Since it is impossible (or too hard for me) to get most of the item information from other mods, the menu looks clunky.  To use it, follow these steps: 
</br>
1. Download the item mods that you wish to use and start a run.
2. <b>If you added new mods: Exit the run and go to the modded menu in the application. Click on the <i>"Reload"</i> button if the application was already open. </b>
3. <b>If you didn't add new mods, you do not need to exit the run.</b>
4. Mod names should appear in the drop box. These might look different from their official names but it's usually easy to figure out.
5. Select the item on the left and click add / remove. The quantity modifier still works here.
6. As you see, the items don't have pictures and their names look different from the official ones. The best way to find out what item you are looking at is by going to the Thunderstore page of the item mod and checking the names there.

# Using the mod without the app
It is possible to use the mod without the app. To do so, go here https://github.com/IKEA0x90/ExternalStartingItems/tree/v2.0.0 and download <i>profiles.xml</i> located in the <i>externalitems</i> folder. 
</br></br>
Place this file in <i>C:\Users\<USER>\AppData\Roaming\externalitems</i>. If you do not see the AppData folder, google how to open it.
</br></br>
Open the file and edit the numbers on the items you want to get. There is an example for a modded item in the bottom, although finding proper names for them might be hard.

# V.F.A.Q (VERY frequently asked question)
Question: Why am I not getting any items?
</br>
Answer: They say that there is no such thing as a stupid question. However, this is untrue. I have received a lot of DMs with this exact content and without any other information. The mod definitely works!!!
</br></br>
It is impossible to know why the mod is not working for you. The reasons included:
- You already started the run and tried getting the items after that.
- You did not download the application.
- You downloaded the application but your Windows refuses to open .exe files.
- You made a new profile and forgot that it does not have any items.
- You and your friends downloaded the mod and the application. However, your friends cannot connect because of version differences.

# Contact Me
If any problems arise, you can contact me in Discord - **IKEA#0090** 
</br></br>
<b>PLEASE</b> make sure that you checked the stuff described above and is certain that the problem you are having has to do with the mod.
</br></br>
Thanks to <i>PapiOphidian</i> for contacting me and giving me enough resources for the modded items support to be implemented!

# ChangeLog
2.0.0 - Modded items are now supported! 
</br>
1.0.2 - Fixed items not dropping from chests. 
</br>
1.0.1 - Fixed an issue that prevented everything from spawning. Fixed the process of giving equipment to the player
</br>
1.0.0 - Initial release